import React from 'react';

const BasicDetails = ({ 
  propertyTitle, 
  postBy,
  propertyCity, 
  propertySize, 
  postDate, 
  price, 
  pricePerUnit,
  developerPostPrice,
  developerPostPriceUnit 
}) => {
  // Function to capitalize the first letter
  const capitalizeFirstLetter = (string) => {
    return string
      ? string.charAt(0).toUpperCase() + string.slice(1).toLowerCase()
      : '';
  };

  // Function to render price based on availability
  const renderPrice = () => {
    if (price && pricePerUnit) {
      return `${price} ${pricePerUnit}`;
    }
    return `${developerPostPrice} ${developerPostPriceUnit}`;
  };

  return (
    <div className='flex flex-col lg:flex-row justify-between bg-white px-4 sm:px-6 md:px-8 rounded-lg py-4 sm:py-5 md:py-6 gap-4 lg:gap-0'>
      <div className='flex flex-col'>
        <p className='text-base sm:text-lg md:text-xl font-semibold truncate max-w-full'>
          {capitalizeFirstLetter(propertyTitle)} Land / Plot in {capitalizeFirstLetter(propertyCity)}
        </p>
        <div className='p-1 border-brand border-[1px] w-fit px-2 py-1 rounded-lg text-xs sm:text-sm mt-2'>
          <p>By {capitalizeFirstLetter(postBy)}</p>
        </div>
      </div>
      <div className='flex flex-col gap-2 items-end lg:items-end'>
        <p className='text-tertiary text-xs sm:text-sm'>Post date: {postDate}</p>
        <div className='flex items-center gap-2 font-semibold'>
          <p className='text-sm sm:text-base'>{renderPrice()}</p>
          <div className='w-[1px] h-4 bg-black'></div>
          <p className='text-xs sm:text-sm'>{propertySize}</p>
        </div>
      </div>
    </div>
  );
};

export default BasicDetails;